Role Playing Database (API Documentation) 3.1.3

Public Member Functions | Static Public Member Functions | List of all members
RolePlayingDB3::MapEditor Class Reference

## Public Member Functions
| scaleXY (X, Y, scale)
| unscaleXY (cX, cY, scale)
| drawspace (canvas, X, Y, color, size,...)
| opennew ()
| new ()
| openold (_filename)
| save ()
| saveas (_filename="")
| print ()
| close (...)
| MapEditor (...)
| recreateXML ()
| updateleveltree ()
| updatemediatree ()

## Static Public Member Functions
static | _createEditDialog ()
static | edit (...)
static | new (...)
static | open (...)
static | openfile (filename)

## Detailed Description

Map editor widget.

## Constructor & Destructor Documentation

## ◆ MapEditor()

RolePlayingDB3::MapEditor::MapEditor | ( |  | ... | ) |

Constructor – create a map edit widget.

Parameters

  widgetpath | Widget path.
  ... | Options: -template Alternitive emplate to use. -openfilename File to open.

## Member Function Documentation

## ◆ _createEditDialog()

static RolePlayingDB3::MapEditor::_createEditDialog | ( |  | ) |
| static

Create edit dialog.

## ◆ close()

RolePlayingDB3::MapEditor::close | ( |  | ... | ) |

Close the current file.

Parameters

  ... | Options: None.

## ◆ drawspace()

RolePlayingDB3::MapEditor::drawspace | ( | canvas | ,
|  | X | ,
|  | Y | ,
|  | color | ,
|  | size | ,
|  |  | ...
| ) |  |

Draw a space.

Parameters

  canvas | The canvas to draw on.
  X | X coord.
  Y | Y coord.
  color | The color of the space.
  size | The size of the space.
  ... | Additional args passed to canvas create.

## ◆ edit()

static RolePlayingDB3::MapEditor::edit | ( |  | ... | ) |
| static

Edit an existing map.

Parameters

  ... | Options: None.

## ◆ new() [1/2]

static RolePlayingDB3::MapEditor::new | ( |  | ... | ) |
| static

Create a new map.

Parameters

  ... | Options: -template Template to use. -parent The parent window.

## ◆ new() [2/2]

RolePlayingDB3::MapEditor::new | ( |  | ) |

Create a new map.

## ◆ open()

static RolePlayingDB3::MapEditor::open | ( |  | ... | ) |
| static

Open an existing map bundle file.

Parameters

  ... | Options: -parent Parent window. -like Open a file like this one.

## ◆ openfile()

static RolePlayingDB3::MapEditor::openfile | ( | filename |  | ) |
| static

Open an existing map file.

Parameters

  filename | File to open.

## ◆ opennew()

RolePlayingDB3::MapEditor::opennew | ( |  | ) |

Create a new map.

## ◆ openold()

RolePlayingDB3::MapEditor::openold | ( | _filename |  | ) |

Open an old file.

Parameters

  _filename | Filename to open.

## ◆ print()

RolePlayingDB3::MapEditor::print | ( |  | ) |

Print (to a PDF file) the current map.

## ◆ recreateXML()

RolePlayingDB3::MapEditor::recreateXML | ( |  | ) |

Regenerate the XML string.

## ◆ save()

RolePlayingDB3::MapEditor::save | ( |  | ) |

Save the current file.

## ◆ saveas()

RolePlayingDB3::MapEditor::saveas | ( | _filename | = `""` | ) |

Save the bundle to the speified file.

Parameters

  _filename | Filename to save to.

## ◆ scaleXY()

RolePlayingDB3::MapEditor::scaleXY | ( | X | ,
|  | Y | ,
|  | scale |
| ) |  |

Scale space on map.

Parameters

  X | X coord.
  Y | Y coord.
  scale | Scale factor.

Returns
  Coordlist, scaled and tranlated.

## ◆ unscaleXY()

RolePlayingDB3::MapEditor::unscaleXY | ( | cX | ,
|  | cY | ,
|  | scale |
| ) |  |

Unscale space on map.

Parameters

  cX | X canvas coord.
  cY | Y canvas coord.
  scale | Scale factor.

Returns
  Coord list, unscaled and translated.

## ◆ updateleveltree()

RolePlayingDB3::MapEditor::updateleveltree | ( |  | ) |

Update the level tree.

## ◆ updatemediatree()

RolePlayingDB3::MapEditor::updatemediatree | ( |  | ) |

Update the media tree.

The documentation for this class was generated from the following file:

- RPGMapLevelSpace.tcl